Package org.apache.sling.query.impl.selector.parser

## Class Modifier

- java.lang.Object
- - org.apache.sling.query.impl.selector.parser.Modifier

    public class Modifier
    extends Object

### Constructor Summary

Constructors
`Modifier​(String name, String argument)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`String` `getArgument()`
`String` `getName()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Modifier

    public Modifier​(String name,
                    String argument)

### Method Detail

#### getName

    public String getName()

#### getArgument

    public String getArgument()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`